Skip to main content
`Ctrl`+`K`

# EPSGetExtraction

Gets the extraction type used by the `EPS` object.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetExtraction(EPS eps,EPSExtraction *extr)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- extr - name of extraction type

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetExtraction()`, `EPSExtraction`

## Level

advanced

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages